package com.mvc.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-03-10 10:04:20
*/
public class TAicbqCfg {
    /**
     * 
     */
    private Integer id;

    /**
     * 
     */
    private String cfgId;

    /**
     * DEVICE_SN 设备SN
     */
    private String deviceSn;

    /**
     * 遥测站编码
     */
    private String stationCode;

    /**
     * 当前水表读数
     */
    private Integer lastVal;

    /**
     * IP1地址
     */
    private String serverIp1;

    /**
     * 
     */
    private Integer serverPort1;

    /**
     * IP2地址
     */
    private String serverIp2;

    /**
     * 
     */
    private Integer serverPort2;

    /**
     * IP3地址
     */
    private String serverIp3;

    /**
     * 
     */
    private Integer serverPort3;

    /**
     * IP4地址
     */
    private String serverIp4;

    /**
     * 
     */
    private Integer serverPort4;

    /**
     * 紧急联系域名端口
     */
    private String domainName;

    /**
     * 
     */
    private Integer domainPort;

    /**
     * 水表口径
     */
    private Integer dnType;

    /**
     * 数字个数
     */
    private Integer digitNum;

    /**
     * 轮子个数
     */
    private Integer wheelNum;

    /**
     * 单位类型
     */
    private Integer unitType;

    /**
     * 安装方向标志
     */
    private String setupDir;

    /**
     * 采样时间间隔(分)
     */
    private Integer sampleInterval;

    /**
     * 发送时间间隔(分)
     */
    private Integer upInterval;

    /**
     * 低温采样时间间隔(时)
     */
    private Integer ltSampleInterval;

    /**
     * 最低工作温度
     */
    private Integer workLt;

    /**
     * 最高工作温度
     */
    private Integer workHt;

    /**
     * 低电压报警临界值(V)
     */
    private BigDecimal batAlarmVt;

    /**
     * 剩余电量报警临界值(百分比)
     */
    private Integer batAlarmSoc;

    /**
     * 强制拉回的概率阈值 
     */
    private Integer aiPullBack;

    /**
     * 识别可信度的概率阈值
     */
    private Integer aiPass;

    /**
     * 单独每一位概率阈值
     */
    private Integer aiSinglePass;

    /**
     * CPU版本
     */
    private String cpuVersion;

    /**
     * 通讯版本
     */
    private String tongxunVersion;

    /**
     * 天线类型(0内置,1外置)
     */
    private String tianxianType;

    /**
     * 通讯方式(0:NB,1:CAT1)
     */
    private String tongxunWay;

    /**
     * 网路注册超时时间(秒)
     */
    private Integer networkRegTimeout;

    /**
     * 背光屏闪频率(HZ)
     */
    private Integer pwmHz;

    /**
     * PWM占空比
     */
    private Integer pwmDuty;

    /**
     * 摄像头闪光灯亮度最低值
     */
    private Integer flashBrightMin;

    /**
     * 摄像头闪光灯亮度最高值
     */
    private Integer flashBrightMax;

    /**
     * 安装年份
     */
    private String setupYear;

    /**
     * 全图上传-星期一
     */
    private String upWholeImgWeek1;

    /**
     * 全图上传-星期二
     */
    private String upWholeImgWeek2;

    /**
     * 全图上传-星期三
     */
    private String upWholeImgWeek3;

    /**
     * 全图上传-星期四
     */
    private String upWholeImgWeek4;

    /**
     * 全图上传-星期五
     */
    private String upWholeImgWeek5;

    /**
     * 全图上传-星期六
     */
    private String upWholeImgWeek6;

    /**
     * 全图上传-星期七
     */
    private String upWholeImgWeek7;

    /**
     * IP1定时报是否启用扩展协议
     */
    private String ip1ExpandOn;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 数据来源(安装、召测、配置工具
     */
    private String dataFrom;

    /**
     * 召测配置的任务ID
     */
    private String taskDownId;

    /**
     * 失效时间
     */
    private Date invalidTime;

    /**
     * 设备当前有效的配置
     */
    private String useFlag;

    /**
     * 字体样式(0黑底白字,1白底黑字)
     */
    private String meterFontStyle;

    /**
     * 设备类型(1水表,2压力表,3燃气表)(不是配置项)
     */
    private String deviceType;

    /**
     * 压力表量程范围下限(可以负数)
     */
    private BigDecimal pgRangeMin;

    /**
     * 压力表量程范围上限(可以负数)
     */
    private BigDecimal pgRangeMax;

    /**
     * 压力表数据精度类型(0-4)(代表小数位数)
     */
    private Integer pgPrecisionType;

    /**
     * 压力表系统校正参数（可以负数
     */
    private BigDecimal pgCorrectvalue;

    /**
     * 压力表坐标点赋值
     */
    private String pgManualConfig;

    /**
     * 压力表图片是否描点
     */
    private String pgIsDebug;

    /**
     * 压力表目标区域历史数据初始化
     */
    private String pgInitTargetRegion;

    /**
     * 是否运行串口输出日志信息
     */
    private String isprintcomlog;

    /**
     * WDT计数清零
     */
    private String isresetwdt;

    /**
     * 电池计时清零
     */
    private String isresetbat;

    /**
     * MCU工作次数清零
     */
    private String isrestmcu;

    /**
     * 手动触发发送大图开关
     */
    private String wiTaskManwakeupFlag;

    /**
     * 月初月底发送大图开关
     */
    private String wiTaskMonthFlag;

    /**
     * 按指定日期发送大图
     */
    private String wiTaskSpecdateFlag;

    /**
     * 日志上传规则
     */
    private String logUploadRules;

    /**
     * 是否上传上一次 MCU通讯错误的日志
     */
    private String uploadLastFailLogFlag;

    /**
     * 手动触发发送本次工作日志
     */
    private String logTaskManwakeupFlag;

    /**
     * 压力表人工配置坐标点的优先级
     */
    private String pgManualConfigLevel;

    /**
     * 上传的图片类型(=1 时BMP565彩色图>1 时JPG彩色图(用质量的字节数来代替类型)取值范围1-20000默认出场配置841)
     */
    private Integer imageType;

    /**
     * 图片像素外扩(取值范围0-30)
     */
    private Integer imageMargin;

    /**
     * 人工配置值启用标志、旋转角度、数字区域坐标
     */
    private String imageConfig;

    /**
     * 是否上传模型输出结果（服务器侧后处理需要）
     */
    private String uploadCnnFlag;

    /**
     * 对CNN输出进行解码时，使用的NMS阈值 
     */
    private Integer nmsThreshold;

    /**
     * 是否使用检测到的大框来排除野数字
     */
    private String isUseDetectedNum;

    /**
     * 指定坐标区域上报的图片类型(1jpg,2bmp)(服务器识别专用)
     */
    private String regionImageType;

    /**
     * 要上报的JPG的压缩类型(0-9)值越大，压缩率越高(服务器识别专用)
     */
    private String jpgCompressType;

    /**
     * RS485使能标志(0关闭,1打开)
     */
    private String rsPortEnable;

    /**
     * RS485波特率
     */
    private Integer rsBandRate;

    /**
     * RS485校验和类型
     */
    private Integer rsChecksumType;

    /**
     * RS485停止位
     */
    private Integer rsStopbitType;

    /**
     * 模块ID
     */
    private String moduleId;

    /**
     * 模块名称
     */
    private String moduleName;

    /**
     * 图片亮度(默认1.0,1位整数1位小数)
     */
    private Double imageBrightness;

    /**
     * 摄像头拍照时 的合成类型(1:一次拍照成形2:上下拼图3:左右拼图)
     */
    private Integer imageSynthesisType;

    /**
     * 每天第一条数据的发送时间
     */
    private Integer firsttxntimeDaily;

    /**
     * 上传图片大小
     */
    private Integer uploadImageSize;

    /**
     * AI输出测试(标注)图开关
     */
    private String enableAiImageProcess;

    /**
     * 免配置是否启用人工配置参数(1启用)
     */
    private String enableNoconfigManualConfig;

    /**
     * 禁用AI识别(1禁用)
     */
    private String disableAiRecognition;

    /**
     * 最大离散间隔(小时)
     */
    private Integer maxDiscreteDuration;

    /**
     * 启用离散标志
     */
    private String enableDiscrete;

    /**
     * 启用智慧院平台
     */
    private String enableSendBjzhy;

    /**
     * 启用北京自来水平台
     */
    private String enableSendBjzls;

    /**
     * 水表地址（北京自来水）
     */
    private String bjzlsMeterAddress;

    /**
     * 启用AES加密（1加密）
     */
    private String bjzlsEnableAes;

    /**
     * 数据恢复
     */
    private String isResetData;

    /**
     * 是否上传红色指针部分(针对2N1版本)
     */
    private String isUploadRedPointer;

    /**
     * 北京自来水平台密钥类型(0测试,1正式)
     */
    private String bjzlsSecretKeyType;

    /**
     * 免配置版本安装角度
     */
    private Integer noconfigSetupAngle;

    /**
     * 数字位置(1上0下)
     */
    private String digitalPosition;

    /**
     * 指针水表放大倍率(0-9.9)
     */
    private Float aiPointerZoomFactor;

    /**
     * 数字水表放大倍率(0-9.9)
     */
    private Float aiDigitalZoomFactor;

    /**
     * 表盘类型(0非水表,1数字+指针,2全指针,3全数字)
     */
    private String dialType;

    /**
     * 运行/投运状态(0未安装,1已安装,2已配置,3已投运,4配置失效)
     */
    private String operationStatus;

    /**
     * 数字区域坐标(x0,y0,x1,y1,x2,y2,x3,y3)
     */
    private String digitAreaCoordinates;

    /**
     * 表盘区域坐标(xMin,yMin,xMax,yMax)
     */
    private String dialAreaCoordinates;

    /**
     * 首尾指针坐标(xb,yb,xr,yr)
     */
    private String startEndPointerCoordinates;

    /**
     * 最新读数对应的时间
     */
    private Date lastValTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCfgId() {
        return cfgId;
    }

    public void setCfgId(String cfgId) {
        this.cfgId = cfgId == null ? null : cfgId.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public Integer getLastVal() {
        return lastVal;
    }

    public void setLastVal(Integer lastVal) {
        this.lastVal = lastVal;
    }

    public String getServerIp1() {
        return serverIp1;
    }

    public void setServerIp1(String serverIp1) {
        this.serverIp1 = serverIp1 == null ? null : serverIp1.trim();
    }

    public Integer getServerPort1() {
        return serverPort1;
    }

    public void setServerPort1(Integer serverPort1) {
        this.serverPort1 = serverPort1;
    }

    public String getServerIp2() {
        return serverIp2;
    }

    public void setServerIp2(String serverIp2) {
        this.serverIp2 = serverIp2 == null ? null : serverIp2.trim();
    }

    public Integer getServerPort2() {
        return serverPort2;
    }

    public void setServerPort2(Integer serverPort2) {
        this.serverPort2 = serverPort2;
    }

    public String getServerIp3() {
        return serverIp3;
    }

    public void setServerIp3(String serverIp3) {
        this.serverIp3 = serverIp3 == null ? null : serverIp3.trim();
    }

    public Integer getServerPort3() {
        return serverPort3;
    }

    public void setServerPort3(Integer serverPort3) {
        this.serverPort3 = serverPort3;
    }

    public String getServerIp4() {
        return serverIp4;
    }

    public void setServerIp4(String serverIp4) {
        this.serverIp4 = serverIp4 == null ? null : serverIp4.trim();
    }

    public Integer getServerPort4() {
        return serverPort4;
    }

    public void setServerPort4(Integer serverPort4) {
        this.serverPort4 = serverPort4;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName == null ? null : domainName.trim();
    }

    public Integer getDomainPort() {
        return domainPort;
    }

    public void setDomainPort(Integer domainPort) {
        this.domainPort = domainPort;
    }

    public Integer getDnType() {
        return dnType;
    }

    public void setDnType(Integer dnType) {
        this.dnType = dnType;
    }

    public Integer getDigitNum() {
        return digitNum;
    }

    public void setDigitNum(Integer digitNum) {
        this.digitNum = digitNum;
    }

    public Integer getWheelNum() {
        return wheelNum;
    }

    public void setWheelNum(Integer wheelNum) {
        this.wheelNum = wheelNum;
    }

    public Integer getUnitType() {
        return unitType;
    }

    public void setUnitType(Integer unitType) {
        this.unitType = unitType;
    }

    public String getSetupDir() {
        return setupDir;
    }

    public void setSetupDir(String setupDir) {
        this.setupDir = setupDir == null ? null : setupDir.trim();
    }

    public Integer getSampleInterval() {
        return sampleInterval;
    }

    public void setSampleInterval(Integer sampleInterval) {
        this.sampleInterval = sampleInterval;
    }

    public Integer getUpInterval() {
        return upInterval;
    }

    public void setUpInterval(Integer upInterval) {
        this.upInterval = upInterval;
    }

    public Integer getLtSampleInterval() {
        return ltSampleInterval;
    }

    public void setLtSampleInterval(Integer ltSampleInterval) {
        this.ltSampleInterval = ltSampleInterval;
    }

    public Integer getWorkLt() {
        return workLt;
    }

    public void setWorkLt(Integer workLt) {
        this.workLt = workLt;
    }

    public Integer getWorkHt() {
        return workHt;
    }

    public void setWorkHt(Integer workHt) {
        this.workHt = workHt;
    }

    public BigDecimal getBatAlarmVt() {
        return batAlarmVt;
    }

    public void setBatAlarmVt(BigDecimal batAlarmVt) {
        this.batAlarmVt = batAlarmVt;
    }

    public Integer getBatAlarmSoc() {
        return batAlarmSoc;
    }

    public void setBatAlarmSoc(Integer batAlarmSoc) {
        this.batAlarmSoc = batAlarmSoc;
    }

    public Integer getAiPullBack() {
        return aiPullBack;
    }

    public void setAiPullBack(Integer aiPullBack) {
        this.aiPullBack = aiPullBack;
    }

    public Integer getAiPass() {
        return aiPass;
    }

    public void setAiPass(Integer aiPass) {
        this.aiPass = aiPass;
    }

    public Integer getAiSinglePass() {
        return aiSinglePass;
    }

    public void setAiSinglePass(Integer aiSinglePass) {
        this.aiSinglePass = aiSinglePass;
    }

    public String getCpuVersion() {
        return cpuVersion;
    }

    public void setCpuVersion(String cpuVersion) {
        this.cpuVersion = cpuVersion == null ? null : cpuVersion.trim();
    }

    public String getTongxunVersion() {
        return tongxunVersion;
    }

    public void setTongxunVersion(String tongxunVersion) {
        this.tongxunVersion = tongxunVersion == null ? null : tongxunVersion.trim();
    }

    public String getTianxianType() {
        return tianxianType;
    }

    public void setTianxianType(String tianxianType) {
        this.tianxianType = tianxianType == null ? null : tianxianType.trim();
    }

    public String getTongxunWay() {
        return tongxunWay;
    }

    public void setTongxunWay(String tongxunWay) {
        this.tongxunWay = tongxunWay == null ? null : tongxunWay.trim();
    }

    public Integer getNetworkRegTimeout() {
        return networkRegTimeout;
    }

    public void setNetworkRegTimeout(Integer networkRegTimeout) {
        this.networkRegTimeout = networkRegTimeout;
    }

    public Integer getPwmHz() {
        return pwmHz;
    }

    public void setPwmHz(Integer pwmHz) {
        this.pwmHz = pwmHz;
    }

    public Integer getPwmDuty() {
        return pwmDuty;
    }

    public void setPwmDuty(Integer pwmDuty) {
        this.pwmDuty = pwmDuty;
    }

    public Integer getFlashBrightMin() {
        return flashBrightMin;
    }

    public void setFlashBrightMin(Integer flashBrightMin) {
        this.flashBrightMin = flashBrightMin;
    }

    public Integer getFlashBrightMax() {
        return flashBrightMax;
    }

    public void setFlashBrightMax(Integer flashBrightMax) {
        this.flashBrightMax = flashBrightMax;
    }

    public String getSetupYear() {
        return setupYear;
    }

    public void setSetupYear(String setupYear) {
        this.setupYear = setupYear == null ? null : setupYear.trim();
    }

    public String getUpWholeImgWeek1() {
        return upWholeImgWeek1;
    }

    public void setUpWholeImgWeek1(String upWholeImgWeek1) {
        this.upWholeImgWeek1 = upWholeImgWeek1 == null ? null : upWholeImgWeek1.trim();
    }

    public String getUpWholeImgWeek2() {
        return upWholeImgWeek2;
    }

    public void setUpWholeImgWeek2(String upWholeImgWeek2) {
        this.upWholeImgWeek2 = upWholeImgWeek2 == null ? null : upWholeImgWeek2.trim();
    }

    public String getUpWholeImgWeek3() {
        return upWholeImgWeek3;
    }

    public void setUpWholeImgWeek3(String upWholeImgWeek3) {
        this.upWholeImgWeek3 = upWholeImgWeek3 == null ? null : upWholeImgWeek3.trim();
    }

    public String getUpWholeImgWeek4() {
        return upWholeImgWeek4;
    }

    public void setUpWholeImgWeek4(String upWholeImgWeek4) {
        this.upWholeImgWeek4 = upWholeImgWeek4 == null ? null : upWholeImgWeek4.trim();
    }

    public String getUpWholeImgWeek5() {
        return upWholeImgWeek5;
    }

    public void setUpWholeImgWeek5(String upWholeImgWeek5) {
        this.upWholeImgWeek5 = upWholeImgWeek5 == null ? null : upWholeImgWeek5.trim();
    }

    public String getUpWholeImgWeek6() {
        return upWholeImgWeek6;
    }

    public void setUpWholeImgWeek6(String upWholeImgWeek6) {
        this.upWholeImgWeek6 = upWholeImgWeek6 == null ? null : upWholeImgWeek6.trim();
    }

    public String getUpWholeImgWeek7() {
        return upWholeImgWeek7;
    }

    public void setUpWholeImgWeek7(String upWholeImgWeek7) {
        this.upWholeImgWeek7 = upWholeImgWeek7 == null ? null : upWholeImgWeek7.trim();
    }

    public String getIp1ExpandOn() {
        return ip1ExpandOn;
    }

    public void setIp1ExpandOn(String ip1ExpandOn) {
        this.ip1ExpandOn = ip1ExpandOn == null ? null : ip1ExpandOn.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDataFrom() {
        return dataFrom;
    }

    public void setDataFrom(String dataFrom) {
        this.dataFrom = dataFrom == null ? null : dataFrom.trim();
    }

    public String getTaskDownId() {
        return taskDownId;
    }

    public void setTaskDownId(String taskDownId) {
        this.taskDownId = taskDownId == null ? null : taskDownId.trim();
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(String useFlag) {
        this.useFlag = useFlag == null ? null : useFlag.trim();
    }

    public String getMeterFontStyle() {
        return meterFontStyle;
    }

    public void setMeterFontStyle(String meterFontStyle) {
        this.meterFontStyle = meterFontStyle == null ? null : meterFontStyle.trim();
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public BigDecimal getPgRangeMin() {
        return pgRangeMin;
    }

    public void setPgRangeMin(BigDecimal pgRangeMin) {
        this.pgRangeMin = pgRangeMin;
    }

    public BigDecimal getPgRangeMax() {
        return pgRangeMax;
    }

    public void setPgRangeMax(BigDecimal pgRangeMax) {
        this.pgRangeMax = pgRangeMax;
    }

    public Integer getPgPrecisionType() {
        return pgPrecisionType;
    }

    public void setPgPrecisionType(Integer pgPrecisionType) {
        this.pgPrecisionType = pgPrecisionType;
    }

    public BigDecimal getPgCorrectvalue() {
        return pgCorrectvalue;
    }

    public void setPgCorrectvalue(BigDecimal pgCorrectvalue) {
        this.pgCorrectvalue = pgCorrectvalue;
    }

    public String getPgManualConfig() {
        return pgManualConfig;
    }

    public void setPgManualConfig(String pgManualConfig) {
        this.pgManualConfig = pgManualConfig == null ? null : pgManualConfig.trim();
    }

    public String getPgIsDebug() {
        return pgIsDebug;
    }

    public void setPgIsDebug(String pgIsDebug) {
        this.pgIsDebug = pgIsDebug == null ? null : pgIsDebug.trim();
    }

    public String getPgInitTargetRegion() {
        return pgInitTargetRegion;
    }

    public void setPgInitTargetRegion(String pgInitTargetRegion) {
        this.pgInitTargetRegion = pgInitTargetRegion == null ? null : pgInitTargetRegion.trim();
    }

    public String getIsprintcomlog() {
        return isprintcomlog;
    }

    public void setIsprintcomlog(String isprintcomlog) {
        this.isprintcomlog = isprintcomlog == null ? null : isprintcomlog.trim();
    }

    public String getIsresetwdt() {
        return isresetwdt;
    }

    public void setIsresetwdt(String isresetwdt) {
        this.isresetwdt = isresetwdt == null ? null : isresetwdt.trim();
    }

    public String getIsresetbat() {
        return isresetbat;
    }

    public void setIsresetbat(String isresetbat) {
        this.isresetbat = isresetbat == null ? null : isresetbat.trim();
    }

    public String getIsrestmcu() {
        return isrestmcu;
    }

    public void setIsrestmcu(String isrestmcu) {
        this.isrestmcu = isrestmcu == null ? null : isrestmcu.trim();
    }

    public String getWiTaskManwakeupFlag() {
        return wiTaskManwakeupFlag;
    }

    public void setWiTaskManwakeupFlag(String wiTaskManwakeupFlag) {
        this.wiTaskManwakeupFlag = wiTaskManwakeupFlag == null ? null : wiTaskManwakeupFlag.trim();
    }

    public String getWiTaskMonthFlag() {
        return wiTaskMonthFlag;
    }

    public void setWiTaskMonthFlag(String wiTaskMonthFlag) {
        this.wiTaskMonthFlag = wiTaskMonthFlag == null ? null : wiTaskMonthFlag.trim();
    }

    public String getWiTaskSpecdateFlag() {
        return wiTaskSpecdateFlag;
    }

    public void setWiTaskSpecdateFlag(String wiTaskSpecdateFlag) {
        this.wiTaskSpecdateFlag = wiTaskSpecdateFlag == null ? null : wiTaskSpecdateFlag.trim();
    }

    public String getLogUploadRules() {
        return logUploadRules;
    }

    public void setLogUploadRules(String logUploadRules) {
        this.logUploadRules = logUploadRules == null ? null : logUploadRules.trim();
    }

    public String getUploadLastFailLogFlag() {
        return uploadLastFailLogFlag;
    }

    public void setUploadLastFailLogFlag(String uploadLastFailLogFlag) {
        this.uploadLastFailLogFlag = uploadLastFailLogFlag == null ? null : uploadLastFailLogFlag.trim();
    }

    public String getLogTaskManwakeupFlag() {
        return logTaskManwakeupFlag;
    }

    public void setLogTaskManwakeupFlag(String logTaskManwakeupFlag) {
        this.logTaskManwakeupFlag = logTaskManwakeupFlag == null ? null : logTaskManwakeupFlag.trim();
    }

    public String getPgManualConfigLevel() {
        return pgManualConfigLevel;
    }

    public void setPgManualConfigLevel(String pgManualConfigLevel) {
        this.pgManualConfigLevel = pgManualConfigLevel == null ? null : pgManualConfigLevel.trim();
    }

    public Integer getImageType() {
        return imageType;
    }

    public void setImageType(Integer imageType) {
        this.imageType = imageType;
    }

    public Integer getImageMargin() {
        return imageMargin;
    }

    public void setImageMargin(Integer imageMargin) {
        this.imageMargin = imageMargin;
    }

    public String getImageConfig() {
        return imageConfig;
    }

    public void setImageConfig(String imageConfig) {
        this.imageConfig = imageConfig == null ? null : imageConfig.trim();
    }

    public String getUploadCnnFlag() {
        return uploadCnnFlag;
    }

    public void setUploadCnnFlag(String uploadCnnFlag) {
        this.uploadCnnFlag = uploadCnnFlag == null ? null : uploadCnnFlag.trim();
    }

    public Integer getNmsThreshold() {
        return nmsThreshold;
    }

    public void setNmsThreshold(Integer nmsThreshold) {
        this.nmsThreshold = nmsThreshold;
    }

    public String getIsUseDetectedNum() {
        return isUseDetectedNum;
    }

    public void setIsUseDetectedNum(String isUseDetectedNum) {
        this.isUseDetectedNum = isUseDetectedNum == null ? null : isUseDetectedNum.trim();
    }

    public String getRegionImageType() {
        return regionImageType;
    }

    public void setRegionImageType(String regionImageType) {
        this.regionImageType = regionImageType == null ? null : regionImageType.trim();
    }

    public String getJpgCompressType() {
        return jpgCompressType;
    }

    public void setJpgCompressType(String jpgCompressType) {
        this.jpgCompressType = jpgCompressType == null ? null : jpgCompressType.trim();
    }

    public String getRsPortEnable() {
        return rsPortEnable;
    }

    public void setRsPortEnable(String rsPortEnable) {
        this.rsPortEnable = rsPortEnable == null ? null : rsPortEnable.trim();
    }

    public Integer getRsBandRate() {
        return rsBandRate;
    }

    public void setRsBandRate(Integer rsBandRate) {
        this.rsBandRate = rsBandRate;
    }

    public Integer getRsChecksumType() {
        return rsChecksumType;
    }

    public void setRsChecksumType(Integer rsChecksumType) {
        this.rsChecksumType = rsChecksumType;
    }

    public Integer getRsStopbitType() {
        return rsStopbitType;
    }

    public void setRsStopbitType(Integer rsStopbitType) {
        this.rsStopbitType = rsStopbitType;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId == null ? null : moduleId.trim();
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName == null ? null : moduleName.trim();
    }

    public Double getImageBrightness() {
        return imageBrightness;
    }

    public void setImageBrightness(Double imageBrightness) {
        this.imageBrightness = imageBrightness;
    }

    public Integer getImageSynthesisType() {
        return imageSynthesisType;
    }

    public void setImageSynthesisType(Integer imageSynthesisType) {
        this.imageSynthesisType = imageSynthesisType;
    }

    public Integer getFirsttxntimeDaily() {
        return firsttxntimeDaily;
    }

    public void setFirsttxntimeDaily(Integer firsttxntimeDaily) {
        this.firsttxntimeDaily = firsttxntimeDaily;
    }

    public Integer getUploadImageSize() {
        return uploadImageSize;
    }

    public void setUploadImageSize(Integer uploadImageSize) {
        this.uploadImageSize = uploadImageSize;
    }

    public String getEnableAiImageProcess() {
        return enableAiImageProcess;
    }

    public void setEnableAiImageProcess(String enableAiImageProcess) {
        this.enableAiImageProcess = enableAiImageProcess == null ? null : enableAiImageProcess.trim();
    }

    public String getEnableNoconfigManualConfig() {
        return enableNoconfigManualConfig;
    }

    public void setEnableNoconfigManualConfig(String enableNoconfigManualConfig) {
        this.enableNoconfigManualConfig = enableNoconfigManualConfig == null ? null : enableNoconfigManualConfig.trim();
    }

    public String getDisableAiRecognition() {
        return disableAiRecognition;
    }

    public void setDisableAiRecognition(String disableAiRecognition) {
        this.disableAiRecognition = disableAiRecognition == null ? null : disableAiRecognition.trim();
    }

    public Integer getMaxDiscreteDuration() {
        return maxDiscreteDuration;
    }

    public void setMaxDiscreteDuration(Integer maxDiscreteDuration) {
        this.maxDiscreteDuration = maxDiscreteDuration;
    }

    public String getEnableDiscrete() {
        return enableDiscrete;
    }

    public void setEnableDiscrete(String enableDiscrete) {
        this.enableDiscrete = enableDiscrete == null ? null : enableDiscrete.trim();
    }

    public String getEnableSendBjzhy() {
        return enableSendBjzhy;
    }

    public void setEnableSendBjzhy(String enableSendBjzhy) {
        this.enableSendBjzhy = enableSendBjzhy == null ? null : enableSendBjzhy.trim();
    }

    public String getEnableSendBjzls() {
        return enableSendBjzls;
    }

    public void setEnableSendBjzls(String enableSendBjzls) {
        this.enableSendBjzls = enableSendBjzls == null ? null : enableSendBjzls.trim();
    }

    public String getBjzlsMeterAddress() {
        return bjzlsMeterAddress;
    }

    public void setBjzlsMeterAddress(String bjzlsMeterAddress) {
        this.bjzlsMeterAddress = bjzlsMeterAddress == null ? null : bjzlsMeterAddress.trim();
    }

    public String getBjzlsEnableAes() {
        return bjzlsEnableAes;
    }

    public void setBjzlsEnableAes(String bjzlsEnableAes) {
        this.bjzlsEnableAes = bjzlsEnableAes == null ? null : bjzlsEnableAes.trim();
    }

    public String getIsResetData() {
        return isResetData;
    }

    public void setIsResetData(String isResetData) {
        this.isResetData = isResetData == null ? null : isResetData.trim();
    }

    public String getIsUploadRedPointer() {
        return isUploadRedPointer;
    }

    public void setIsUploadRedPointer(String isUploadRedPointer) {
        this.isUploadRedPointer = isUploadRedPointer == null ? null : isUploadRedPointer.trim();
    }

    public String getBjzlsSecretKeyType() {
        return bjzlsSecretKeyType;
    }

    public void setBjzlsSecretKeyType(String bjzlsSecretKeyType) {
        this.bjzlsSecretKeyType = bjzlsSecretKeyType == null ? null : bjzlsSecretKeyType.trim();
    }

    public Integer getNoconfigSetupAngle() {
        return noconfigSetupAngle;
    }

    public void setNoconfigSetupAngle(Integer noconfigSetupAngle) {
        this.noconfigSetupAngle = noconfigSetupAngle;
    }

    public String getDigitalPosition() {
        return digitalPosition;
    }

    public void setDigitalPosition(String digitalPosition) {
        this.digitalPosition = digitalPosition == null ? null : digitalPosition.trim();
    }

    public Float getAiPointerZoomFactor() {
        return aiPointerZoomFactor;
    }

    public void setAiPointerZoomFactor(Float aiPointerZoomFactor) {
        this.aiPointerZoomFactor = aiPointerZoomFactor;
    }

    public Float getAiDigitalZoomFactor() {
        return aiDigitalZoomFactor;
    }

    public void setAiDigitalZoomFactor(Float aiDigitalZoomFactor) {
        this.aiDigitalZoomFactor = aiDigitalZoomFactor;
    }

    public String getDialType() {
        return dialType;
    }

    public void setDialType(String dialType) {
        this.dialType = dialType == null ? null : dialType.trim();
    }

    public String getOperationStatus() {
        return operationStatus;
    }

    public void setOperationStatus(String operationStatus) {
        this.operationStatus = operationStatus == null ? null : operationStatus.trim();
    }

    public String getDigitAreaCoordinates() {
        return digitAreaCoordinates;
    }

    public void setDigitAreaCoordinates(String digitAreaCoordinates) {
        this.digitAreaCoordinates = digitAreaCoordinates == null ? null : digitAreaCoordinates.trim();
    }

    public String getDialAreaCoordinates() {
        return dialAreaCoordinates;
    }

    public void setDialAreaCoordinates(String dialAreaCoordinates) {
        this.dialAreaCoordinates = dialAreaCoordinates == null ? null : dialAreaCoordinates.trim();
    }

    public String getStartEndPointerCoordinates() {
        return startEndPointerCoordinates;
    }

    public void setStartEndPointerCoordinates(String startEndPointerCoordinates) {
        this.startEndPointerCoordinates = startEndPointerCoordinates == null ? null : startEndPointerCoordinates.trim();
    }

    public Date getLastValTime() {
        return lastValTime;
    }

    public void setLastValTime(Date lastValTime) {
        this.lastValTime = lastValTime;
    }
}